	<script type="text/javascript">
		
		function ajax_results<?php echo $module->id; ?>() {	
			jQuery(".filter_ajax_overlay<?php echo $module->id; ?>").show();
		
			var url = jQuery("#K2FilterBox<?php echo $module->id; ?> form:eq(0)").attr("action");
			var data = jQuery("#K2FilterBox<?php echo $module->id; ?> > form:eq(0)").find(":input").filter(function () {
							return jQuery.trim(this.value).length > 0
						}).serialize();
						
			jQuery.ajax({
				data: data + "&format=raw",
				type: "get",
				url: url,
				success: function(res) {	

	$('.assunto_x').hide();
	$('#sp-component').hide();


				jQuery(".filter_ajax_overlay<?php echo $module->id; ?>").hide();
					response = jQuery(res);
					response.find(".k2Pagination a").each(function() {
						if(jQuery(this).attr("href")) {
							var replace = jQuery(this).attr("href").replace("&format=raw", "").replace("format=raw&", "").replace(".raw", "");
							jQuery(this).attr("href", replace);
						}
					});
					jQuery("#K2FilterBox<?php echo $module->id; ?> div.acounter").hide();
					jQuery("<?php echo $ajax_container; ?>").html(response);				
								
					jQuery("html, body").animate({
						scrollTop: jQuery("<?php echo $ajax_container; ?>").offset().top - 70
					}, 500);
				},
        complete: function(){ // Desenvolvido por Leandro - Datafull


var categoria = $("select[name=category]").val();
var tamanho;

if (categoria == 2001) {

	$('.assunto_x').hide();
	$('.grupo15100').show();
	$('#sp-component').show();
//	$("select[name=searchword15100]").attr("size", parseInt($("select[name=searchword15100] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2002) {

	$('.assunto_x').hide();
	$('.grupo15200').show();
	$('#sp-component').show();
//	$("select[name=searchword15200]").attr("size", parseInt($("select[name=searchword15200] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2009) {

	$('.assunto_x').hide();
	$('.grupo15300').show();
	$('#sp-component').show();
//	$("select[name=searchword15300]").attr("size", parseInt($("select[name=searchword15300] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2005) {

	$('.assunto_x').hide();
	$('.grupo15400').show();
	$('#sp-component').show();
//	$("select[name=searchword15400]").attr("size", parseInt($("select[name=searchword15400] option").length+1));
	$('.camposs').val('');
}
else if (categoria == 2006) {

	$('.assunto_x').hide();
	$('.grupo15500').show();
	$('#sp-component').show();
//	$("select[name=searchword15500]").attr("size", parseInt($("select[name=searchword15500] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2007) {

	$('.assunto_x').hide();
	$('.grupo15600').show();
	$('#sp-component').show();
//	$("select[name=searchword15600]").attr("size", parseInt($("select[name=searchword15600] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2003) {

	$('.assunto_x').hide();
	$('.grupo15700').show();
	$('#sp-component').show();
//	$("select[name=searchword15700]").attr("size", parseInt($("select[name=searchword15700] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2004) {

	$('.assunto_x').hide();
	$('.grupo15800').show();
	$('#sp-component').show();
//	$("select[name=searchword15800]").attr("size", parseInt($("select[name=searchword15800] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2008) {

	$('.assunto_x').hide();
	$('.grupo15900').show();
	$('#sp-component').show();
//	$("select[name=searchword15900]").attr("size", parseInt($("select[name=searchword15900] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2010) {

	$('.assunto_x').hide();
	$('.grupo16000').show();
	$('#sp-component').show();
//	$("select[name=searchword16000]").attr("size", parseInt($("select[name=searchword15900] option").length+1)); 
	$('.camposs').val('');
}
else if (categoria == 2011) {

	$('.assunto_x').hide();
	$('.grupo16100').show();
	$('#sp-component').show();
//	$("select[name=searchword16100]").attr("size", parseInt($("select[name=searchword15900] option").length+1)); 
	$('.camposs').val('');
}
else{
	$('.assunto_x').hide();
	$('#sp-component').hide();
}
        }//complete
			});
		}

		jQuery(document).ready(function() {			
			jQuery('body').on("click", "<?php echo $ajax_container; ?> div.k2Pagination a, <?php echo $ajax_container; ?> .pagination a", function() {
				jQuery(".filter_ajax_overlay<?php echo $module->id; ?>").show();
				var url = jQuery(this).attr('href');
				var url_push = jQuery(this).attr('href').replace("&format=raw", "").replace("format=raw&", "").replace(".raw", "");
				jQuery.ajax({
					type: "GET",
					url: url + "&format=raw",
					success: function(res) {
						jQuery(".filter_ajax_overlay<?php echo $module->id; ?>").hide();
						response = jQuery(res);
						response.find(".k2Pagination a").each(function() {
							if(jQuery(this).attr("href")) {
								var replace = jQuery(this).attr("href").replace("&format=raw", "").replace("format=raw&", "").replace(".raw", "");
								jQuery(this).attr("href", replace);
							}
						});
						jQuery("<?php echo $ajax_container; ?>").html(response);	
						
						jQuery("html, body").animate({
							scrollTop: jQuery("<?php echo $ajax_container; ?>").offset().top - 70
						}, 500);						
					}
				});
				return false;
			});
			
		});
		
	</script>
  
	<?php if($ajax_container == '.results_container') : ?>
    
	<?php endif; ?>
	
	<style>
		.filter_ajax_overlay<?php echo $module->id; ?> {
			display: none;
			position: fixed;
			top: 0px;
			left: 0px;
			width: 100%;
			height: 100%;
			text-align: center;
			padding-top: 18%;
			z-index: 10000;
		}
		.filter_ajax_overlay<?php echo $module->id; ?> img { max-width: 130px; display: inline; }
	</style>
	<div class="filter_ajax_overlay<?php echo $module->id; ?>"><img src='<?php echo JURI::root(); ?>modules/mod_k2_filter/assets/images/loading.png' /></div>